Name:           jhighlight
Version:        1.0.1
Release:        %mkrel 6
Summary:        An embeddable pure Java syntax highlighting library

Group:          Development/Java
License:        LGPLv2+ or CDDL
URL:            http://svn.rifers.org/jhighlight

Source0:        https://github.com/codelibs/jhighlight/archive/jhighlight-%{version}.tar.gz
Patch0:         servlet31.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
JHighlight is an embeddable pure Java syntax highlighting library that supports
Java, Groovy, C++, HTML, XHTML, XML and LZX languages and outputs to XHTML. It
also supports RIFE (http://rifers.org) templates tags and highlights them
clearly so that you can easily identify the difference between your RIFE markup
and the actual marked up source.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0
%mvn_alias : com.uwyn:

%build
%mvn_build 

%install
%mvn_install

%files -f .mfiles
%doc README.md
%doc COPYING
%doc LICENSE_LGPL.txt LICENSE_CDDL.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE_LGPL.txt LICENSE_CDDL.txt
%doc COPYING



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-6.mga6
+ Revision: 976468
- First rebuild of the java stack
- sync package jhighlight with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jul 03 2015 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 849721
- sync with fc23 (update to 1.0.1)
- fix owner of maven-poms dir and java dir

* Mon Jan 19 2015 daviddavid <daviddavid> 1.0-7.mga5
+ Revision: 811509
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 739515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 680810
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 559936
- Use new rpm depmap macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 355445
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 19 2011 dams <dams> 1.0-1.mga2
+ Revision: 156540
- update subpackage group
- update mkrel

  + gil <gil>
    - imported package jhighlight


* Fri Jul 15 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

